StarWriterStruct::Dictionary::Data Struct Reference

a data of a Dictionary More...

`#include <StarWriterStruct.hxx>`

## Public Member Functions

| Data ()
| constructor

## Public Attributes

librevenge::RVNGString | m_name
| the name
int | m_language
| the language
int | m_id
| the id
bool | m_spellWrong
| a flag to know if we do spell or not

## Friends

std::ostream & | operator<< (std::ostream &o, Data const &data)
| operator<<

## Detailed Description

a data of a Dictionary

## Constructor & Destructor Documentation

## Data()

StarWriterStruct::Dictionary::Data::Data | ( |  | ) |

inline

constructor

Referenced by operator<<.

## Friends And Related Symbol Documentation

## operator<<

std::ostream & operator<< | ( | std::ostream & | o,
|  | Data const & | data )

friend

operator<<

## Member Data Documentation

## m_id

int StarWriterStruct::Dictionary::Data::m_id

the id

Referenced by Data(), operator<<, and StarWriterStruct::Dictionary::read().

## m_language

int StarWriterStruct::Dictionary::Data::m_language

the language

Referenced by Data(), operator<<, and StarWriterStruct::Dictionary::read().

## m_name

librevenge::RVNGString StarWriterStruct::Dictionary::Data::m_name

the name

Referenced by Data(), operator<<, and StarWriterStruct::Dictionary::read().

## m_spellWrong

bool StarWriterStruct::Dictionary::Data::m_spellWrong

a flag to know if we do spell or not

Referenced by Data(), operator<<, and StarWriterStruct::Dictionary::read().

The documentation for this struct was generated from the following file:

- StarWriterStruct.hxx